Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Interface StepCollector

All Known Implementing Classes:
  MarkUnmatchedStepsAsPending

    public interface StepCollector

Represents the strategy for the collection of executable `Step`s from a story or scenario matching a list of `CandidateSteps`. It also collects the steps to run at before/after stages.

Nested Class Summary
`static class` | `StepCollector.Stage`

Method Summary
`List<Step>` | `collectBeforeOrAfterScenarioSteps(List<CandidateSteps> candidateSteps, Meta storyAndScenarioMeta, StepCollector.Stage stage, ScenarioType type)` Collects all of the `BeforeScenario` or `AfterScenario` steps to execute.
`List<Step>` | `collectBeforeOrAfterStoriesSteps(List<CandidateSteps> candidateSteps, StepCollector.Stage stage)` Collects all of the `BeforeStories` or `AfterStories` steps to execute.
`List<Step>` | `collectBeforeOrAfterStorySteps(List<CandidateSteps> candidateSteps, Story story, StepCollector.Stage stage, boolean givenStory)` Collects all of the `BeforeStory` or `AfterStory` steps to execute.
`List<Step>` | `collectScenarioSteps(List<CandidateSteps> candidateSteps, Scenario scenario, Map<String,String> parameters)` Collects all of the `Step`s to execute for a scenario.

Method Detail

### collectBeforeOrAfterStoriesSteps

    List<Step> collectBeforeOrAfterStoriesSteps(List<CandidateSteps> candidateSteps,
                                                StepCollector.Stage stage)

  Collects all of the `BeforeStories` or `AfterStories` steps to execute.

  Parameters:
    `candidateSteps` -
    `stage` - the `StepCollector.Stage` of execution
  Returns:
    A List of executable `Step`s

### collectBeforeOrAfterStorySteps

    List<Step> collectBeforeOrAfterStorySteps(List<CandidateSteps> candidateSteps,
                                              Story story,
                                              StepCollector.Stage stage,
                                              boolean givenStory)

  Collects all of the `BeforeStory` or `AfterStory` steps to execute.

  Parameters:
    `candidateSteps` - the `CandidateSteps`.
    `story` - the `Story`.
    `stage` - the `StepCollector.Stage` of execution
    `givenStory` - whether `Story` is a given story
  Returns:
    A List of executable `Step`s

### collectBeforeOrAfterScenarioSteps

    List<Step> collectBeforeOrAfterScenarioSteps(List<CandidateSteps> candidateSteps,
                                                 Meta storyAndScenarioMeta,
                                                 StepCollector.Stage stage,
                                                 ScenarioType type)

  Collects all of the `BeforeScenario` or `AfterScenario` steps to execute.

  Parameters:
    `candidateSteps` - the `CandidateSteps`.
    `storyAndScenarioMeta` - the story and scenario `Meta` parameters
    `type` - the ScenarioType

### collectScenarioSteps

    List<Step> collectScenarioSteps(List<CandidateSteps> candidateSteps,
                                    Scenario scenario,
                                    Map<String,String> parameters)

  Collects all of the `Step`s to execute for a scenario.

  Parameters:
    `candidateSteps` - the `CandidateSteps`.
    `scenario` - the `Scenario`.
    `parameters` - the parameters.
  Returns:
    A List of executable `Step`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.